using Seenginx.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Seenginx.Services
{
	public interface INginxService
	{
		Task<IEnumerable<ConfigFile>> GetFilesAsync();
		Task<Result<string>> TestNginxConfigurations(ConfigFile configFile);
		Task<Result<ConfigFile>> AddFileAsync(NewFileForm newFileForm);
	}
}